FROM eclipse-temurin:17-jdk-alpine
WORKDIR /app
RUN apk add --no-cache maven
COPY pom.xml .
COPY src ./src
RUN mvn clean package -DskipTests
EXPOSE 8082
CMD ["java", "-jar", "target/demo-0.0.1-SNAPSHOT.jar"]
